Main Page Class Hierarchy Compound List File List Compound Members File Members

# _NSNMsgStruct Struct Reference

`#include <parse_usnsn.h>`

List of all members.

## Public Attributes
char | EventKey [6]
char | EventDate [10]
int | automatic
double | ot
double | ot_err
float | lat
float | lat_err
float | lon
float | lon_err
float | depth
float | depth_err
int | depth_fixed
int | nph_used
int | nph_assoc
int | nph_actual
double | Dmin
double | std_error
Err_Elipse | error
int | numMags
OriginMag | O_mag [MAX_MAGS]
Phase | phases [DB_MAX_PHS_PER_EQ]

## Member Data Documentation

int _NSNMsgStruct::automatic

| Definition at line 161 of file parse_usnsn.h. Referenced by ParseNSNMsg().

float _NSNMsgStruct::depth

| Definition at line 168 of file parse_usnsn.h. Referenced by ParseNSNMsg().

float _NSNMsgStruct::depth_err

| Definition at line 169 of file parse_usnsn.h. Referenced by ParseNSNMsg().

int _NSNMsgStruct::depth_fixed

| Definition at line 170 of file parse_usnsn.h. Referenced by ParseNSNMsg().

double _NSNMsgStruct::Dmin

| Definition at line 174 of file parse_usnsn.h. Referenced by ParseNSNMsg().

Err_Elipse _NSNMsgStruct::error

| Definition at line 177 of file parse_usnsn.h. Referenced by ParseNSNMsg().

char _NSNMsgStruct::EventDate[10]

| Definition at line 160 of file parse_usnsn.h. Referenced by ParseNSNMsg().

char _NSNMsgStruct::EventKey[6]

| Definition at line 159 of file parse_usnsn.h. Referenced by ParseNSNMsg().

float _NSNMsgStruct::lat

| Definition at line 164 of file parse_usnsn.h. Referenced by ParseNSNMsg().

float _NSNMsgStruct::lat_err

| Definition at line 165 of file parse_usnsn.h. Referenced by ParseNSNMsg().

float _NSNMsgStruct::lon

| Definition at line 166 of file parse_usnsn.h. Referenced by ParseNSNMsg().

float _NSNMsgStruct::lon_err

| Definition at line 167 of file parse_usnsn.h. Referenced by ParseNSNMsg().

int _NSNMsgStruct::nph_actual

| Definition at line 173 of file parse_usnsn.h. Referenced by ParseNSNMsg().

int _NSNMsgStruct::nph_assoc

| Definition at line 172 of file parse_usnsn.h. Referenced by ParseNSNMsg().

int _NSNMsgStruct::nph_used

| Definition at line 171 of file parse_usnsn.h. Referenced by ParseNSNMsg().

int _NSNMsgStruct::numMags

| Definition at line 178 of file parse_usnsn.h. Referenced by ParseNSNMsg().

OriginMag _NSNMsgStruct::O_mag[MAX_MAGS]

| Definition at line 179 of file parse_usnsn.h. Referenced by ParseNSNMsg().

double _NSNMsgStruct::ot

| Definition at line 162 of file parse_usnsn.h. Referenced by ParseNSNMsg().

double _NSNMsgStruct::ot_err

| Definition at line 163 of file parse_usnsn.h. Referenced by ParseNSNMsg().

Phase _NSNMsgStruct::phases[DB_MAX_PHS_PER_EQ]

| Definition at line 180 of file parse_usnsn.h. Referenced by ParseNSNMsg().

double _NSNMsgStruct::std_error

| Definition at line 175 of file parse_usnsn.h. Referenced by ParseNSNMsg().

The documentation for this struct was generated from the following file:

- parse_usnsn.h